<ion-header>
  <ion-toolbar> </ion-toolbar>
</ion-header>

<ion-content *ngIf="show">
  <form [formGroup]="orderForm" (ngSubmit)="onSubmit()">
    <div class="ion-padding">
      <ion-button expand="block" type="submit" class="ion-no-margin"
        >Submit</ion-button
      >
    </div>
    <ion-list lines="full" class="ion-no-margin ion-no-padding">
      <ion-item>
        <ion-label>
          <h3>Customer: {{ user.fullName }}</h3>
          <!-- <ion-text
            ><p>
              {{ user.cellphone }} <span *ngIf="user.telephone"> | </span> {{
              user.telephone }}
            </p></ion-text
          >
          <ion-text><p>{{ user.address }}</p></ion-text> -->
        </ion-label>
      </ion-item>
      <ng-container *ngFor="let field of settings.fields;">
        <ng-container *ngIf="field.show">
          <ng-container
            *ngIf="field.type === 'checkbox';"
            formArrayName="orders"
          >
            <ion-item *ngFor="let product of field.items; let i = index">
              <ion-checkbox
                (ionChange)="computeTotal()"
                [formControlName]="i"
                color="primary"
                slot="start"
                class="ion-no-margin ion-margin-end"
              ></ion-checkbox>
              <ion-label>
                <p>{{ product.name }}</p>
                <p>
                  <ion-text color="danger">₱{{ product.price }}</ion-text> |
                  <ion-text color="primary">
                    {{ product.quantity }}{{ product.quantity > 1 ? 'pcs' : 'pc'
                    }}</ion-text
                  >
                </p>
              </ion-label>
              <ion-button color="primary" (click)="addQuantity(i)">
                <ion-icon name="add"></ion-icon>
              </ion-button>
              <ion-button color="secondary" (click)="subtractQuantity(i)">
                <ion-icon name="remove"></ion-icon>
              </ion-button>
            </ion-item>
          </ng-container>
          <ion-item *ngIf="field.type !== 'checkbox'">
            <ion-label
              [position]="field.position"
              [textContent]="field.label"
            ></ion-label>

            <ion-input
              *ngIf="field.type === 'text'"
              [type]="field.type"
              [formControlName]="field.formControlName"
            ></ion-input>

            <ion-input
              *ngIf="field.type === 'number'"
              [min]="field.min"
              [max]="field.max"
              [type]="field.type"
              [formControlName]="field.formControlName"
            ></ion-input>

            <ion-datetime
              *ngIf="field.type === 'date'"
              displayFormat="MMMM D, YYYY"
              [formControlName]="field.formControlName"
            ></ion-datetime>

            <ion-datetime
              *ngIf="field.type === 'time'"
              displayFormat="h:mm A"
              [formControlName]="field.formControlName"
            ></ion-datetime>

            <ion-select
              [formControlName]="field.formControlName"
              *ngIf="field.type === 'select'"
              interface="popover"
            >
              <ion-select-option
                *ngFor="let item of field.items"
                [value]="item"
                [textContent]="item"
              ></ion-select-option>
            </ion-select>
          </ion-item>
        </ng-container>
      </ng-container>
    </ion-list>
    <ion-item>
      <ion-label>Total: {{ total }} </ion-label>
    </ion-item>
    <div class="ion-padding">
      <ion-button expand="block" type="submit" class="ion-no-margin"
        >Submit</ion-button
      >
    </div>
  </form>
</ion-content>
